Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network253.48.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
253.48.0.0
Broadcast address
253.63.255.255
First usable
253.48.0.1
Last usable
253.63.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FD300000 · Integer 4247781376 to 4248829951
Reverse DNS zones
48.253.in-addr.arpa
49.253.in-addr.arpa
50.253.in-addr.arpa
51.253.in-addr.arpa
52.253.in-addr.arpa
53.253.in-addr.arpa
54.253.in-addr.arpa
55.253.in-addr.arpa
56.253.in-addr.arpa
57.253.in-addr.arpa
58.253.in-addr.arpa
59.253.in-addr.arpa
60.253.in-addr.arpa
61.253.in-addr.arpa
62.253.in-addr.arpa
63.253.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111101.00110000.00000000.00000000253.48.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network11111101.00110000.00000000.00000000253.48.0.0
Broadcast11111101.00111111.11111111.11111111253.63.255.255
Split into smaller subnets/18

253.48.0.0/12 makes 64 subnets of /18.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1253.48.0.0/18253.48.0.1 to 253.48.63.254253.48.63.25516,382
2253.48.64.0/18253.48.64.1 to 253.48.127.254253.48.127.25516,382
3253.48.128.0/18253.48.128.1 to 253.48.191.254253.48.191.25516,382
4253.48.192.0/18253.48.192.1 to 253.48.255.254253.48.255.25516,382
5253.49.0.0/18253.49.0.1 to 253.49.63.254253.49.63.25516,382
6253.49.64.0/18253.49.64.1 to 253.49.127.254253.49.127.25516,382
7253.49.128.0/18253.49.128.1 to 253.49.191.254253.49.191.25516,382
8253.49.192.0/18253.49.192.1 to 253.49.255.254253.49.255.25516,382
9253.50.0.0/18253.50.0.1 to 253.50.63.254253.50.63.25516,382
10253.50.64.0/18253.50.64.1 to 253.50.127.254253.50.127.25516,382
11253.50.128.0/18253.50.128.1 to 253.50.191.254253.50.191.25516,382
12253.50.192.0/18253.50.192.1 to 253.50.255.254253.50.255.25516,382
13253.51.0.0/18253.51.0.1 to 253.51.63.254253.51.63.25516,382
14253.51.64.0/18253.51.64.1 to 253.51.127.254253.51.127.25516,382
15253.51.128.0/18253.51.128.1 to 253.51.191.254253.51.191.25516,382
16253.51.192.0/18253.51.192.1 to 253.51.255.254253.51.255.25516,382
17253.52.0.0/18253.52.0.1 to 253.52.63.254253.52.63.25516,382
18253.52.64.0/18253.52.64.1 to 253.52.127.254253.52.127.25516,382
19253.52.128.0/18253.52.128.1 to 253.52.191.254253.52.191.25516,382
20253.52.192.0/18253.52.192.1 to 253.52.255.254253.52.255.25516,382
21253.53.0.0/18253.53.0.1 to 253.53.63.254253.53.63.25516,382
22253.53.64.0/18253.53.64.1 to 253.53.127.254253.53.127.25516,382
23253.53.128.0/18253.53.128.1 to 253.53.191.254253.53.191.25516,382
24253.53.192.0/18253.53.192.1 to 253.53.255.254253.53.255.25516,382
25253.54.0.0/18253.54.0.1 to 253.54.63.254253.54.63.25516,382
26253.54.64.0/18253.54.64.1 to 253.54.127.254253.54.127.25516,382
27253.54.128.0/18253.54.128.1 to 253.54.191.254253.54.191.25516,382
28253.54.192.0/18253.54.192.1 to 253.54.255.254253.54.255.25516,382
29253.55.0.0/18253.55.0.1 to 253.55.63.254253.55.63.25516,382
30253.55.64.0/18253.55.64.1 to 253.55.127.254253.55.127.25516,382
31253.55.128.0/18253.55.128.1 to 253.55.191.254253.55.191.25516,382
32253.55.192.0/18253.55.192.1 to 253.55.255.254253.55.255.25516,382
33253.56.0.0/18253.56.0.1 to 253.56.63.254253.56.63.25516,382
34253.56.64.0/18253.56.64.1 to 253.56.127.254253.56.127.25516,382
35253.56.128.0/18253.56.128.1 to 253.56.191.254253.56.191.25516,382
36253.56.192.0/18253.56.192.1 to 253.56.255.254253.56.255.25516,382
37253.57.0.0/18253.57.0.1 to 253.57.63.254253.57.63.25516,382
38253.57.64.0/18253.57.64.1 to 253.57.127.254253.57.127.25516,382
39253.57.128.0/18253.57.128.1 to 253.57.191.254253.57.191.25516,382
40253.57.192.0/18253.57.192.1 to 253.57.255.254253.57.255.25516,382
41253.58.0.0/18253.58.0.1 to 253.58.63.254253.58.63.25516,382
42253.58.64.0/18253.58.64.1 to 253.58.127.254253.58.127.25516,382
43253.58.128.0/18253.58.128.1 to 253.58.191.254253.58.191.25516,382
44253.58.192.0/18253.58.192.1 to 253.58.255.254253.58.255.25516,382
45253.59.0.0/18253.59.0.1 to 253.59.63.254253.59.63.25516,382
46253.59.64.0/18253.59.64.1 to 253.59.127.254253.59.127.25516,382
47253.59.128.0/18253.59.128.1 to 253.59.191.254253.59.191.25516,382
48253.59.192.0/18253.59.192.1 to 253.59.255.254253.59.255.25516,382
49253.60.0.0/18253.60.0.1 to 253.60.63.254253.60.63.25516,382
50253.60.64.0/18253.60.64.1 to 253.60.127.254253.60.127.25516,382
51253.60.128.0/18253.60.128.1 to 253.60.191.254253.60.191.25516,382
52253.60.192.0/18253.60.192.1 to 253.60.255.254253.60.255.25516,382
53253.61.0.0/18253.61.0.1 to 253.61.63.254253.61.63.25516,382
54253.61.64.0/18253.61.64.1 to 253.61.127.254253.61.127.25516,382
55253.61.128.0/18253.61.128.1 to 253.61.191.254253.61.191.25516,382
56253.61.192.0/18253.61.192.1 to 253.61.255.254253.61.255.25516,382
57253.62.0.0/18253.62.0.1 to 253.62.63.254253.62.63.25516,382
58253.62.64.0/18253.62.64.1 to 253.62.127.254253.62.127.25516,382
59253.62.128.0/18253.62.128.1 to 253.62.191.254253.62.191.25516,382
60253.62.192.0/18253.62.192.1 to 253.62.255.254253.62.255.25516,382
61253.63.0.0/18253.63.0.1 to 253.63.63.254253.63.63.25516,382
62253.63.64.0/18253.63.64.1 to 253.63.127.254253.63.127.25516,382
63253.63.128.0/18253.63.128.1 to 253.63.191.254253.63.191.25516,382
64253.63.192.0/18253.63.192.1 to 253.63.255.254253.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses